> ## Documentation Index
> Fetch the complete documentation index at: https://docs.neuroncx.in/llms.txt
> Use this file to discover all available pages before exploring further.

# Get transaction attribute options

> Fetch child attribute options by passing the master (parent) attribute id and a selected id.



## OpenAPI

````yaml GET /trxattributes/gettrxoptions
openapi: 3.0.3
info:
  title: NeuronCx API
  version: 1.0.0
  description: >-
    API collection of NeuronCx — Omnichannel Automations & Reasoning. NeuronCx
    APIs use Bearer as an authorization layer. Every API request must contain an
    `Authorization` HTTP header with a token. Tokens can be generated by admin
    role users on https://dash.neuroncx.in/.
servers:
  - url: https://domain-c.neuroncx.in
    description: Carrier domain (domain_c)
  - url: https://domain-g.neuroncx.in
    description: Get/lead domain (domain_g)
  - url: https://domain-i.neuroncx.in
    description: Interactive/messaging domain (domain_i)
  - url: https://events.neuroncx.in
    description: Event handler domain
  - url: https://automation.neuroncx.in
    description: Automation domain
security:
  - bearerAuth: []
tags:
  - name: Prospects
  - name: Messages
  - name: Attributes
  - name: Agent
  - name: Events
paths:
  /trxattributes/gettrxoptions:
    get:
      tags:
        - Attributes
      summary: Get transaction attribute options
      operationId: getTrxOptions
      parameters:
        - name: masterId
          in: query
          required: true
          schema:
            type: string
        - name: selectedId
          in: query
          required: true
          schema:
            type: string
        - name: examid
          in: query
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Options
          content:
            application/json:
              example:
                data:
                  - key: Attributes_1
                    Memo: Value
                    Label: Value
                    TAOCSVInstId: 1
                  - key: Attributes_1
                    Memo: Value
                    Label: Value
                    TAOCSVInstId: 2
                error: false
      x-codeSamples:
        - lang: cURL
          label: Fetch options
          source: >-
            curl --location
            'https://automation.neuroncx.in/trxattributes/gettrxoptions?masterId={masterId}&selectedId={selectedId}&examid={examid}'
            \

            --header 'Authorization: Bearer Token'
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.